package cn.hanghui.outapi.platform.tenant.entity.enums;

import cn.hutool.core.util.StrUtil;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.enums
 * @class DeviceTypeEnum
 * @date 2024/8/30 上午10:28
 * @description
 */
@Getter
@AllArgsConstructor
public enum DeviceTypeEnum {

    HH_FACE(0, "通用设备"),
    HH_CULTURE(1, "HH_CULTURE"),
    HH_FKJ(2, "访客机"),
    HH_IDENTITY_PROOF(3, "临证"),
    HH_LOCAL(4, "HH_LOCAL"),
    ;

    public static DeviceTypeEnum queryEnumByCode(Integer code) {
        if (code == null) {
            return null;
        }
        for (DeviceTypeEnum enumObject : values()) {
            if (enumObject.code == code.intValue()) {
                return enumObject;
            }
        }
        return null;
    }

    private int code;
    private String desc;

}
